com.tibco.n2.service.adapter.util

## Class ServiceAdapterUtil

- java.lang.Object
- - com.tibco.n2.service.adapter.util.ServiceAdapterUtil

-     public class ServiceAdapterUtil
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServiceAdapterUtil()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.Throwable` | `castToDeclaredException(java.lang.Class<?> exceptionClass, java.lang.reflect.Method faultInfoMethod, java.lang.Throwable serviceFault)`
    `static <T> T` | `checkService(T o)`
    `static java.lang.Throwable` | `getDeclaredException(java.lang.reflect.Method apiMethod, java.lang.reflect.Method invokedMEthod, java.lang.Throwable serviceFault)`
    `static java.lang.Object` | `getFaultDocument(java.lang.Throwable serviceFault)`
    `static java.lang.reflect.Method` | `getMatchingMethod(java.lang.Object object, java.lang.reflect.Method method)`
    `static java.lang.reflect.Method` | `getMatchingMethod(java.lang.Object object, java.lang.String methodName)` TODO Describe this method
    `static boolean` | `isDeclaredException(java.lang.reflect.Method apiMethod, java.lang.Throwable serviceFault)`
    `static boolean` | `isSimilar(java.lang.reflect.Method m1, java.lang.reflect.Method m2)` Checks if two methods passed have similar name,this might extend in future

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ServiceAdapterUtil

          public ServiceAdapterUtil()

  - ### Method Detail

    - #### getMatchingMethod

          public static java.lang.reflect.Method getMatchingMethod(java.lang.Object object,
                                                                   java.lang.reflect.Method method)

    - #### getMatchingMethod

          public static java.lang.reflect.Method getMatchingMethod(java.lang.Object object,
                                                                   java.lang.String methodName)

      TODO Describe this method
      Parameters:
        `object` -
        `methodName` -
      Returns:

    - #### isSimilar

          public static boolean isSimilar(java.lang.reflect.Method m1,
                                          java.lang.reflect.Method m2)

      Checks if two methods passed have similar name,this might extend in future
      Parameters:
        `m1` -
        `m2` -
      Returns:

    - #### isDeclaredException

          public static boolean isDeclaredException(java.lang.reflect.Method apiMethod,
                                                    java.lang.Throwable serviceFault)

    - #### getDeclaredException

          public static java.lang.Throwable getDeclaredException(java.lang.reflect.Method apiMethod,
                                                                 java.lang.reflect.Method invokedMEthod,
                                                                 java.lang.Throwable serviceFault)

    - #### castToDeclaredException

          public static java.lang.Throwable castToDeclaredException(java.lang.Class<?> exceptionClass,
                                                                    java.lang.reflect.Method faultInfoMethod,
                                                                    java.lang.Throwable serviceFault)

    - #### getFaultDocument

          public static java.lang.Object getFaultDocument(java.lang.Throwable serviceFault)

    - #### checkService

          public static <T> T checkService(T o)
                                    throws ConfigurationException

      Throws:
        `ConfigurationException`

Copyright © 2018 TIBCO Software Inc. All Rights Reserved.